commit:     06c6a67bc5677155681c6f8024573eed72ca92d5
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 25 09:05:06 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Dec  3 11:06:12 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=06c6a67b

sys-libs/libnbd: new package, add 1.14.1

Signed-off-by: Sam James <sam <AT> gentoo.org>
Co-authored-by: Arsen Arsenović <arsen <AT> aarsen.me>
Signed-off-by: Arsen Arsenović <arsen <AT> aarsen.me>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-libs/libnbd/Manifest             |  1 +
 sys-libs/libnbd/libnbd-1.14.1.ebuild | 64 ++++++++++++++++++++++++++++++++++++
 sys-libs/libnbd/metadata.xml         | 24 ++++++++++++++
 3 files changed, 89 insertions(+)

diff --git a/sys-libs/libnbd/Manifest b/sys-libs/libnbd/Manifest
new file mode 100644
index 000000000000..890270fa6e33
--- /dev/null
+++ b/sys-libs/libnbd/Manifest
@@ -0,0 +1 @@
+DIST libnbd-1.14.1.tar.gz 1257547 BLAKE2B 
4c2fc02abc1d069b23fb8cc52b3359f10ebd23f2bc8cb359274a4fc2781413445d64ca1013b3123dff090d359a0e28076aa410220a05b155f95320238d1b99ee
 SHA512 
9d95cf7a66926d00ec9aacfc6d04f2dc885ccfed07c78f1e6693190dd14132d30d6d1ff7d46e46007732a8a20a9fbf648775bc0b3371ad49eff4ce1e44e47209

diff --git a/sys-libs/libnbd/libnbd-1.14.1.ebuild 
b/sys-libs/libnbd/libnbd-1.14.1.ebuild
new file mode 100644
index 000000000000..67aff2662660
--- /dev/null
+++ b/sys-libs/libnbd/libnbd-1.14.1.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit bash-completion-r1
+
+DESCRIPTION="NBD client library in userspace"
+HOMEPAGE="https://gitlab.com/nbdkit/libnbd";
+SRC_URI="https://download.libguestfs.org/libnbd/$(ver_cut 
1-2)-stable/${P}.tar.gz"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="fuse gnutls uri-support test"
+
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       fuse? ( sys-fs/fuse:3 )
+       gnutls? ( net-libs/gnutls:= )
+       uri-support? ( dev-libs/libxml2 )
+"
+DEPEND="
+       ${RDEPEND}
+       test? ( sys-block/nbd[gnutls?] )
+"
+BDEPEND="dev-lang/perl"
+
+src_prepare() {
+       default
+
+       # Some tests require impossible to provide features, such as fuse.
+       # These are marked by requires_... in the functions.sh shell
+       # library.  Rather than listing these tests, let's list out the
+       # impossible to support features and make them skip.
+       cat <<-EOF >> tests/functions.sh.in || die
+               requires_fuse ()
+               {
+                       requires false
+               }
+       EOF
+}
+
+src_configure() {
+       local myeconfargs=(
+               $(use_enable fuse)
+               $(use_with gnutls)
+               $(use_with uri-support libxml2)
+               --disable-ocaml
+               --disable-python
+               --disable-golang
+       )
+
+       export bashcompdir="$(get_bashcompdir)"
+
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+
+       find "${ED}" -name '*.la' -delete || die
+}

diff --git a/sys-libs/libnbd/metadata.xml b/sys-libs/libnbd/metadata.xml
new file mode 100644
index 000000000000..9182ab0c520d
--- /dev/null
+++ b/sys-libs/libnbd/metadata.xml
@@ -0,0 +1,24 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person" proxied="yes">
+               <email>[email protected]</email>
+               <name>Arsen Arsenović</name>
+       </maintainer>
+       <maintainer type="project" proxied="proxy">
+               <email>[email protected]</email>
+               <name>Proxy Maintainers</name>
+       </maintainer>
+       <upstream>
+               <remote-id type="gitlab">nbdkit/libnbd</remote-id>
+               <remote-id type="github">libguestfs/libnbd</remote-id>
+       </upstream>
+       <use>
+               <flag name="uri-support">
+                       Enable nbd:// URI support via 
<pkg>dev-libs/libxml2</pkg>.
+               </flag>
+               <flag name="fuse">
+                       Install the <pkg>sys-fs/fuse</pkg> powered nbdfuse.
+               </flag>
+       </use>
+</pkgmetadata>

Reply via email to